HOSTNAME(1)

BEZEICHNUNG
hostname - den Rechnernamen des Systems anzeigen oder setzen
domainname - den NIS-/YP-Domain-Namen des Systems anzeigen oder setzen
ypdomainname - den NIS-/YP-Domain-Namen des Systems anzeigen oder setzen
nisdomainname - den NIS-/YP-Domain-Namen des Systems anzeigen oder setzen
dnsdomainname - den DNS-Domain-Namen des Systems anzeigen

ÜBERSICHT
hostname [-v] [-a] [--alias] [-d] [--domain] [-f] [--fqdn] [-A] [--all-fqdns] [-i] [--ip-address] [-I] [--all-ip-addresses] [--long] [-s] [--short] [-y] [--yp] [--nis]
hostname [-v] [-b] [--boot] [-F DATEINAME] [--fileDATEINAME] [RECHNERNAME]
hostname [-v] [-h] [--help] [-V] [--version]

domainname [NISDOMAIN] [-F DATEI]
ypdomainname [NISDOMAIN] [-F DATEI]
nisdomainname [NISDOMAIN] [-F DATEI]

dnsdomainname [-v]

BESCHREIBUNG
hostname wird benutzt, um den DNS-Namen des Systems anzuzeigen und um seinen Rechner- oder NDIS-Domain-Namen anzuzeigen oder zu setzen.

  NAMEN ABFRAGEN
Wenn das Programm ohne irgendwelche Argumente aufgerufen wird, zeigt es die aktuellen Namen an:

hostname wird den Namen des Systems so ausgeben, wie er von der Funktion gethostname(2) zurückgegeben wird.

domainname wird den NIS-Domain-Namen des Systems ausgeben. domainname benutzt die Funktion gethostname(2), während ypdomainname und nisdomainname yp_get_default_domain(3) benutzen.

dnsdomainname wird den Domain-Teil des FQDN (Fully Qualified Domain Name/vollständiger Name einer Domain) ausgeben. Der komplette FQDN des Systems wird von hostname --fqdn zurückgegeben (beachten Sie aber die Warnungen im folgenden Abschnitt DER FQDN.

  NAMEN SETZEN
Wenn der Befehl ohne Argument oder mit der Option --file aufgerufen wird, setzt er den Rechnernamen oder den NIS-/YP-Domain-Namen. hostname benutzt die Funktion sethostname(2), während domainname, ypdomainname und nisdomainname setdomainname(2) benutzen. Beachten Sie, dass dies effektiv nur bis zum nächsten Neustart der Fall ist. Bearbeiten Sie /etc/hostname, um es permanent zu ändern.

Beachten Sie, dass die Namen nur vom Super-User geändert werden können.

Es ist nicht möglich den FQDN oder DNS-Namen mit dem Befehl dnsdomainname zu setzen (lesen Sie im Folgenden DER FQDN).

Der Rechnername wird üblicherweise einmal beim Systemstart in /etc/init.d/hostname.sh gesetzt (normalerweise durch Lesen einer Datei, die den Rechnernamen enthält, z.B. /etc/hostname).

  DER FQDN
Sie können den FQDN (wie er von hostname --fqdn zurückgegeben wird) oder den DNS-Domain-Namen (wie er von dnsdomainname zurückgegeben wird) mit diesem Befehl nicht ändern.

Technisch: Der FQDN ist der Name, den getaddrinfo(3) für den Rechnernamen zurückgibt, der von gethostname(2) zurückgegeben wurde. Der DNS-Domain-Name ist der Teil nach dem ersten Punkt.

Daher hängt er von der Konfiguration (üblicherweise in /etc/host.conf) ab, wie Sie ihn ändern. Normalerwiese (falls die Datei »hosts« vor DNS oder NIS ausgewertet wurde) können Sie ihn in /etc/hosts ändern.

Wenn eine Maschine mehrere Netzwerkschnittstellen/-adressen hat oder in einer mobilen Umgebung benutzt wird, dann kann sie entweder mehrere FQDN/Domain-Namen oder nichts von alledem haben. Vermeiden Sie es daher hostname --fqdn, hostname --domain und dnsdomainname zu benutzen. hostname --ip-address unterliegt den gleichen Einschränkungen und sollte deshalb auch vermieden werden.

OPTIONEN

-a, --alias
    zeigt den Alias-Namen des Rechners (falls benutzt). Diese Option wird missbilligt und sollte nicht mehr benutzt werden.

-b, --boot
    immer einen Rechnernamen setzen; dies erlaubt, dass die per -F angegebene Datei nicht existiert oder leer ist. In diesem Fall wird der vorgegebene Rechnername localhost benutzt, falls noch keiner gesetzt ist.

-d, --domain
    den Namen der DNS-Domain anzeigen. Benutzen Sie nicht den Befehl domainname, um den DNS-Domain-Namen abzufragen, weil er den NIS-Domain-Namen und nicht den DNS-Domain-Namen anzeigen wird. Benutzen Sie stattdessen dnsdomainname. Lesen Sie die Warnungen im Abschnitt DER FQDN oben und vermeiden Sie es, diese Option zu benutzen.

-F, --file DATEINAME
    liest den Rechnernamen aus der angegebenen Datei. Kommentare (Zeilen die mit # beginnen) werden ignoriert.

-f, --fqdn, --long
    den FQDN (Fully Qualified Domain Name/vollständiger Name einer Domain) anzeigen. Ein FQDN besteht aus einem kurzen Rechnernamen und dem DNS-Domain-Namen. Sofern Sie nicht Bind oder NIS zum Nachschlagen von Rechnern benutzen, können Sie den FQDN und DNS-Domain-Namen (der Teil des FQDN ist) in der Datei /etc/hosts ändern. Lesen Sie die Warnungen im Abschnitt DER FQDN oben und vermeiden Sie es, diese Option zu benutzen; benutzen Sie stattdessen hostname --all-fqdns.

-A, --all-fqdns
    zeigt alle FQDNs der Maschine. Diese Option zählt alle konfigurierten Netzwerkadressen auf allen konfigurierten Netzwerkschnittstellen auf und übersetzt sie in DNS-Domain-Namen. Adressen, die nicht übersetzt werden können (d.h. weil sie keinen geeigneten umgekehrten DNS-Eintrag haben) werden übersprungen. Beachten Sie, dass unterschiedliche Adressen auf den gleichen Namen aufgelöst werden können und daher die Ausgabe einen Eintrag mehrfach enthalten kann. Treffen Sie keine Annahmen über die Reihenfolge der Ausgabe.

-h, --help
    eine Nachricht über den Aufruf ausgeben und beenden

-i, --ip-address
    zeigt die Netzwerkadresse(n) des Rechnernamens. Beachten Sie, dass dies nur funktioniert, wenn der Rechnername aufgelöst werden kann. Vermeiden Sie es, diese Option zu benutzen; benutzen Sie stattdessen hostname --all-ip-addresses.

-I, --all-ip-addresses
    zeigt alle Netzwerkadressen des Rechners. Diese Option zählt alle konfigurierten Adressen auf allen Netzwerkschnittstellen auf. Die Loopback-Schnittstelle und IPv6-link-lokale Adressen werden ausgelassen. Im Gegensatz zur Option -i hängt diese Option nicht von der Namensauflösung ab. Treffen Sie keine Annahmen über die Reihenfolge der Ausgabe.

-s, --short
    den Kurznamen des Rechners angeben. Dies ist der Rechnername, der am ersten Punkt abgeschnitten wurde.

-V, --version
    Versionsinformation auf der Standardausgabe ausgeben und erfolgreich beenden.

-v, --verbose
    detaillierte Informationen über das Geschehen

-y, --yp, --nis
    den NIS-Domain-Namen anzeigen. Falls ein Parameter angegeben wurde (oder --file name), dann kann auch Root einen neuen NIS-Domain-Namen setzen.

ANMERKUNGEN
Die hostname-Adressfamilien versuchen beim Nachschlagen des FQDN, der Aliase und der Netzwerkadressen des Rechners, ob diese durch die Konfiguration des Resolvers festgelegt werden. Auf GNU-Libc-Systemen kann der Resolver zum Beispiel angewiesen werden zuerst IPv6 nachzuschlagen, indem die Option inet6 in /etc/resolv benutzt wird.

DATEIEN
/etc/hosts /etc/hostname: Diese Datei sollte nur den Rechnernamen und nicht den FQDN enthalten.

AUTOREN
Peter Tobias, <tobias@et-inf.fho-emden.de>
Bernd Eckenfels, <net-tools@lina.inka.de> (NIS und Handbuchseite).
Michael Meskes, <meskes@debian.org>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Chris Leick <c.leick@vollbio.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.